Subject: Re: gitk with submodules does not show new commits on other branches

From: Stephen Kelly <[email-masked]>
Date: Mon, 23 Jun 2014 19:35:26 +0200

Stephen Kelly wrote:

> Failing all of that, can you show me where the code would need to be
> changed to list all of the newly-reachable commits? I can keep a commit
> for myself then.

I see that gitk is showing the output of git diff --submodule, similar to 
git submodule summary.

Assuming that is not going to be changed, maybe I can hack parseblobdiffline 
locally. I have not really tried to read of write tcl code before though, so 
I'd still prefer a 'proper' solution somehow.

Thanks,

Steve.